Skip to main content
PATCH
Update message status

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id
integer
required

The numeric ID of the account

conversation_id
integer
required

The numeric ID of the conversation

message_id
integer
required

The numeric ID of the message

Body

application/json
status
enum<string>
required

The new status of the message

Available options:
sent,
delivered,
read,
failed
external_error
string

Error description, stored only when status is failed

Response

Success

id
number

The ID of the message

content
string

The text content of the message

account_id
number

The ID of the account

inbox_id
number

The ID of the inbox

conversation_id
number

The ID of the conversation

message_type
enum<integer>

The type of the message

Available options:
0,
1,
2,
3
created_at
integer

The time at which message was created

updated_at

The time at which message was updated

private
boolean

The flags which shows whether the message is private or not

status
enum<string> | null

The status of the message

Available options:
sent,
delivered,
read,
failed,
null
source_id
string | null

The source ID of the message

content_type
enum<string> | null

The type of the template message

Available options:
text,
input_text,
input_textarea,
input_email,
input_select,
cards,
form,
article,
incoming_email,
input_csat,
integrations,
sticker,
voice_call,
null
content_attributes
object

The content attributes for each content_type

sender_type
enum<string> | null

The type of the sender

Available options:
Contact,
User,
AgentBot,
Captain::Assistant,
null
sender_id
number | null

The ID of the sender

external_source_ids
object

The external source IDs of the message

additional_attributes
object

The additional attributes of the message

processed_message_content
string | null

The processed message content

sentiment
object | null

The sentiment of the message

conversation
object | null

The conversation object

attachment
object | null

The file object attached to the image

sender
object

User/Agent/AgentBot object